.category {
  background-color: white;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-bottom: 30px;
  position: fixed;
  height: 50px;
  top: 55px;
  left: 80px;
  right: 0;
  z-index: 90;
  padding: 15px 0px;
}

@media (max-width: 600px) {
  .category {
    left: 0px;
    /* Full width since sidebar is hidden */
    overflow-x: auto;
    /* Enable scrolling if needed */
    justify-content: start;
    /* Start alignment for scrolling */
  }
}


.btn {
  white-space: nowrap;
  margin: 0px 5px;
  height: 30px;
  color: black;
  font-size: 14px;
  padding: 8px 10px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

.btn:hover {
  opacity: 0.8;
}

.btn:active {
  opacity: 0.5;
  background-color: black;
  color: white;
  transition: 0.9s;
}

.video-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 16px;
  row-gap: 40px;
}

.thumbnail-row {
  margin-bottom: 8px;
  position: relative;
}

.thumbnail {
  width: 100%;
  border-radius: 12px;
  cursor: pointer;
}

.video-info-grid {
  display: grid;
  grid-template-columns: 50px 1fr;
}

.profile-picture {
  width: 36px;
  border-radius: 50px;
  cursor: pointer;
}

.video-title {
  margin-top: 0;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  margin-bottom: 10px;
  cursor: pointer;
}



.video-author,
.video-stats {
  font-size: 12px;
  color: rgb(96, 96, 96);
  cursor: pointer;
}

.video-author {
  margin-bottom: 4px;
}


@media (max-width: 600px) {
  .video-grid {
    grid-template-columns: 1fr;
  }
}

@media (min-width: 601px) and (max-width: 750px) {
  .video-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 751px) and (max-width: 999px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media (min-width: 1000px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

.video-time {
  font-size: 12px;
  font-weight: 500;
  padding: 4px;
  border-radius: 6px;
  background-color: black;
  color: white;
  position: absolute;
  bottom: 8px;
  right: 5px;
}